EventListenerList.EventListenerIterator (Apache Commons Configuration 2.15.1 API)
Description: declaration: package: org.apache.commons.configuration2.event, class: EventListenerList, class: EventListenerIterator

Package org.apache.commons.configuration2.event

# Class EventListenerList.EventListenerIterator<T extends Event>

java.lang.Object
org.apache.commons.configuration2.event.EventListenerList.EventListenerIterator<T>

Type Parameters:
  `T` - the event type

All Implemented Interfaces:
  `Iterator<EventListener<? super T>>`

Enclosing class:
  `EventListenerList`

public static final class EventListenerList.EventListenerIterator<T extends Event> extends Object implements Iterator<EventListener<? super T>>
A special `Iterator` implementation used by the `getEventListenerIterator()` method. This iterator returns only listeners compatible with a specified event type. It has a convenience method for invoking the current listener in the iteration with an event.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `hasNext()`
  `void`
  `invokeNext(Event event)`
  Obtains the next event listener in this iteration and invokes it with the given event object.
  `EventListener<? super T>`
  `next()`
  `void`
  `remove()`
  This implementation always throws an exception.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface java.util.Iterator

  `forEachRemaining`

- ## Method Details

  - ### hasNext

    public boolean hasNext()
    Specified by:
      `hasNext` in interface `Iterator<T extends Event>`

  - ### invokeNext

    public void invokeNext(Event event)
    Obtains the next event listener in this iteration and invokes it with the given event object.
    Parameters:
      `event` - the event object
    Throws:
      `NoSuchElementException` - if iteration is at its end

  - ### next

    public EventListener<? super T> next()
    Specified by:
      `next` in interface `Iterator<T extends Event>`

  - ### remove

    public void remove()
    This implementation always throws an exception. Removing elements is not supported.
    Specified by:
      `remove` in interface `Iterator<T extends Event>`